---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass027.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x58C80, symBinAddr: 0xC4D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5ABC0, symBinAddr: 0xE410, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5AFB0, symBinAddr: 0xE800, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5BF50, symBinAddr: 0xF7A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5BF60, symBinAddr: 0xF7B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x58740, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x58744, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x58748, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x588A0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x58958, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5895C, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x58960, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x58964, symBinAddr: 0xC2A4, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x58968, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x58970, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x58988, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x58990, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x58998, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x589A0, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x589A8, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x589EC, symBinAddr: 0xC2FC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL6frames, symObjAddr: 0xFFB0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x91A2, offset: 0x91A2, size: 0x8, addend: 0x0, symName: __ZL3run, symObjAddr: 0x10110, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x91C7, offset: 0x91C7, size: 0x8, addend: 0x0, symName: __ZL7method2, symObjAddr: 0x10140, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0x91EC, offset: 0x91EC, size: 0x8, addend: 0x0, symName: __ZL7method1, symObjAddr: 0x10190, symBinAddr: 0xC110, symSize: 0x0 }
  - { offsetInCU: 0x9211, offset: 0x9211, size: 0x8, addend: 0x0, symName: __ZL3pop, symObjAddr: 0x101F0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x922A, offset: 0x922A, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x589ED, symBinAddr: 0xC2FD, symSize: 0x0 }
  - { offsetInCU: 0x924A, offset: 0x924A, size: 0x8, addend: 0x0, symName: __ZL10classBytes, symObjAddr: 0x589F0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9263, offset: 0x9263, size: 0x8, addend: 0x0, symName: __ZL14redefinesCount, symObjAddr: 0x589F8, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x927C, offset: 0x927C, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x58A00, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x9295, offset: 0x9295, size: 0x8, addend: 0x0, symName: __ZL13bpEventsCount, symObjAddr: 0x58A08, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x92AE, offset: 0x92AE, size: 0x8, addend: 0x0, symName: __ZL18stepEventsExpected, symObjAddr: 0x58A0C, symBinAddr: 0xC31C, symSize: 0x0 }
  - { offsetInCU: 0x92C7, offset: 0x92C7, size: 0x8, addend: 0x0, symName: __ZL15stepEventsCount, symObjAddr: 0x58A10, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x92E0, offset: 0x92E0, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x58A18, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x92F9, offset: 0x92F9, size: 0x8, addend: 0x0, symName: __ZL23exceptionEventsExpected, symObjAddr: 0x58A28, symBinAddr: 0xC338, symSize: 0x0 }
  - { offsetInCU: 0x9312, offset: 0x9312, size: 0x8, addend: 0x0, symName: __ZL23modificationEventsCount, symObjAddr: 0x58A2C, symBinAddr: 0xC33C, symSize: 0x0 }
  - { offsetInCU: 0x932B, offset: 0x932B, size: 0x8, addend: 0x0, symName: __ZL17accessEventsCount, symObjAddr: 0x58A30, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x9344, offset: 0x9344, size: 0x8, addend: 0x0, symName: __ZL20exceptionEventsCount, symObjAddr: 0x58A34, symBinAddr: 0xC344, symSize: 0x0 }
  - { offsetInCU: 0x935D, offset: 0x935D, size: 0x8, addend: 0x0, symName: __ZL19catchEventsExpected, symObjAddr: 0x58A38, symBinAddr: 0xC348, symSize: 0x0 }
  - { offsetInCU: 0x9376, offset: 0x9376, size: 0x8, addend: 0x0, symName: __ZL16catchEventsCount, symObjAddr: 0x58A3C, symBinAddr: 0xC34C, symSize: 0x0 }
  - { offsetInCU: 0x938F, offset: 0x938F, size: 0x8, addend: 0x0, symName: __ZL17popEventsExpected, symObjAddr: 0x58A40, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0x93A8, offset: 0x93A8, size: 0x8, addend: 0x0, symName: __ZL14popEventsCount, symObjAddr: 0x58A44, symBinAddr: 0xC354, symSize: 0x0 }
  - { offsetInCU: 0x93C1, offset: 0x93C1, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x58A48, symBinAddr: 0xC358, symSize: 0x0 }
  - { offsetInCU: 0x93DA, offset: 0x93DA, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x58A50, symBinAddr: 0xC360, symSize: 0x0 }
  - { offsetInCU: 0x93F3, offset: 0x93F3, size: 0x8, addend: 0x0, symName: __ZL4mid1, symObjAddr: 0x58B88, symBinAddr: 0xC498, symSize: 0x0 }
  - { offsetInCU: 0x940C, offset: 0x940C, size: 0x8, addend: 0x0, symName: __ZL4mid2, symObjAddr: 0x58B90, symBinAddr: 0xC4A0, symSize: 0x0 }
  - { offsetInCU: 0x9425, offset: 0x9425, size: 0x8, addend: 0x0, symName: __ZL16bpEventsExpected, symObjAddr: 0x58B98, symBinAddr: 0xC4A8, symSize: 0x0 }
  - { offsetInCU: 0x943E, offset: 0x943E, size: 0x8, addend: 0x0, symName: __ZL4fid1, symObjAddr: 0x58BA0, symBinAddr: 0xC4B0, symSize: 0x0 }
  - { offsetInCU: 0x9457, offset: 0x9457, size: 0x8, addend: 0x0, symName: __ZL26modificationEventsExpected, symObjAddr: 0x58BA8, symBinAddr: 0xC4B8, symSize: 0x0 }
  - { offsetInCU: 0x9470, offset: 0x9470, size: 0x8, addend: 0x0, symName: __ZL4fid2, symObjAddr: 0x58BB0, symBinAddr: 0xC4C0, symSize: 0x0 }
  - { offsetInCU: 0x9489, offset: 0x9489, size: 0x8, addend: 0x0, symName: __ZL20accessEventsExpected, symObjAddr: 0x58BB8, symBinAddr: 0xC4C8, symSize: 0x0 }
  - { offsetInCU: 0x94DB, offset: 0x94DB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2420, symSize: 0x80 }
  - { offsetInCU: 0x9570, offset: 0x9570, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2370, symSize: 0xB0 }
  - { offsetInCU: 0x95CB, offset: 0x95CB, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2270, symSize: 0x100 }
  - { offsetInCU: 0x985E, offset: 0x985E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x24A0, symSize: 0x220 }
  - { offsetInCU: 0x9A43, offset: 0x9A43, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x26C0, symSize: 0xA0 }
  - { offsetInCU: 0x9AF6, offset: 0x9AF6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2760, symSize: 0x110 }
  - { offsetInCU: 0x9BEC, offset: 0x9BEC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2870, symSize: 0x150 }
  - { offsetInCU: 0x9D1D, offset: 0x9D1D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x29C0, symSize: 0x30 }
  - { offsetInCU: 0x9DFE, offset: 0x9DFE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x29F0, symSize: 0x150 }
  - { offsetInCU: 0x9FF6, offset: 0x9FF6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2B40, symSize: 0x160 }
  - { offsetInCU: 0xA182, offset: 0xA182, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2CA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA39D, offset: 0xA39D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2E50, symSize: 0xA0 }
  - { offsetInCU: 0xA498, offset: 0xA498, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2EF0, symSize: 0x20 }
  - { offsetInCU: 0xA4CF, offset: 0xA4CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2F10, symSize: 0x20 }
  - { offsetInCU: 0xA506, offset: 0xA506, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2F30, symSize: 0x20 }
  - { offsetInCU: 0xA6FD, offset: 0xA6FD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2F50, symSize: 0x1A0 }
  - { offsetInCU: 0xAA23, offset: 0xAA23, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x30F0, symSize: 0x80 }
  - { offsetInCU: 0xAAEC, offset: 0xAAEC, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3170, symSize: 0x6A0 }
  - { offsetInCU: 0xB681, offset: 0xB681, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB8B0, symBinAddr: 0x5BB0, symSize: 0xB0 }
  - { offsetInCU: 0xB6F8, offset: 0xB6F8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3810, symSize: 0x70 }
  - { offsetInCU: 0xB87C, offset: 0xB87C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3880, symSize: 0xA0 }
  - { offsetInCU: 0xB9D3, offset: 0xB9D3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3920, symSize: 0x40 }
  - { offsetInCU: 0xBAC9, offset: 0xBAC9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3960, symSize: 0x2B0 }
  - { offsetInCU: 0xBE6F, offset: 0xBE6F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3C10, symSize: 0xC0 }
  - { offsetInCU: 0xBFB5, offset: 0xBFB5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3CD0, symSize: 0x10 }
  - { offsetInCU: 0xC077, offset: 0xC077, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3CE0, symSize: 0x220 }
  - { offsetInCU: 0xC374, offset: 0xC374, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3F00, symSize: 0x10 }
  - { offsetInCU: 0xC3D1, offset: 0xC3D1, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3F10, symSize: 0x2A0 }
  - { offsetInCU: 0xC5AB, offset: 0xC5AB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EB0, symBinAddr: 0x41B0, symSize: 0x10 }
  - { offsetInCU: 0xC704, offset: 0xC704, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9EC0, symBinAddr: 0x41C0, symSize: 0xD00 }
  - { offsetInCU: 0xCD66, offset: 0xCD66, size: 0x8, addend: 0x0, symName: _redefine, symObjAddr: 0xABC0, symBinAddr: 0x4EC0, symSize: 0xC0 }
  - { offsetInCU: 0xCE99, offset: 0xCE99, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xAC80, symBinAddr: 0x4F80, symSize: 0x140 }
  - { offsetInCU: 0xD070, offset: 0xD070, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xADC0, symBinAddr: 0x50C0, symSize: 0x160 }
  - { offsetInCU: 0xD256, offset: 0xD256, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0xAF20, symBinAddr: 0x5220, symSize: 0xC0 }
  - { offsetInCU: 0xD3B8, offset: 0xD3B8, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0xAFE0, symBinAddr: 0x52E0, symSize: 0xC0 }
  - { offsetInCU: 0xD502, offset: 0xD502, size: 0x8, addend: 0x0, symName: _Exception, symObjAddr: 0xB0A0, symBinAddr: 0x53A0, symSize: 0x130 }
  - { offsetInCU: 0xD738, offset: 0xD738, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0xB1D0, symBinAddr: 0x54D0, symSize: 0x170 }
  - { offsetInCU: 0xD97E, offset: 0xD97E, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0xB340, symBinAddr: 0x5640, symSize: 0x100 }
  - { offsetInCU: 0xDBF2, offset: 0xDBF2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass027_getReady, symObjAddr: 0xB440, symBinAddr: 0x5740, symSize: 0x350 }
  - { offsetInCU: 0xDFF2, offset: 0xDFF2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass027_check, symObjAddr: 0xB790, symBinAddr: 0x5A90, symSize: 0x120 }
  - { offsetInCU: 0xE02E, offset: 0xE02E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB960, symBinAddr: 0x5C60, symSize: 0x36A }
...
